D-Bus 1.14.10

Data Fields
DBusKey Struct Reference
D-Bus secret internal implementation details » DBusKeyring implementation details

A single key from the cookie file. More...

## Data Fields
dbus_int32_t | id
| identifier used to refer to the key
long | creation_time
| when the key was generated, as unix timestamp.
DBusString | secret
| the actual key

## Detailed Description

A single key from the cookie file.

Definition at line 93 of file dbus-keyring.c.

## Field Documentation

## ◆ creation_time

long DBusKey::creation_time

when the key was generated, as unix timestamp.

signed long matches struct timeval.

Definition at line 97 of file dbus-keyring.c.

## ◆ id

dbus_int32_t DBusKey::id

identifier used to refer to the key

Definition at line 95 of file dbus-keyring.c.

Referenced by _dbus_keyring_get_best_key().

## ◆ secret

DBusString DBusKey::secret

the actual key

Definition at line 102 of file dbus-keyring.c.

Referenced by _dbus_keyring_get_hex_key().

The documentation for this struct was generated from the following file:

- dbus-keyring.c